PEGASUS-PLOTS(1)

NAME
pegasus-plots - A tool to generate graphs and charts to visualize workflow run.

SYNOPSIS

pegasus-plots [-h|--help]
              [-o|--output outdir]
              [-c|--conf propfile]
              [-m|--max-graph-nodes max]
              [-p|--plotting-level level]
              [-i|--ignore-db-inconsistency]
              [-v|--verbose]
              [-q|--quiet]
              [submitdir]

DESCRIPTION

pegasus-plots generates graphs and charts to visualize workflow run. It generates workflow execution Gantt chart, job over time chart, time chart, dax and dag graph. It uses executable 'dot\' to generate graphs. pegasus-plots looks for the executable in your path and generates graphs based on it’s availability .

OPTIONS

-h, --help
    Prints a usage summary with all the available command-line options.

-o outdir, --output outdir
    Writes the output to the given directory

-c propfile, --conf propfile
    The properties file to use. This option overrides all other property files.

-m max, --max-graph-nodes max
    Maximum limit on the number of tasks/jobs in the dax/dag up to which the graph should be generated. The default value is 100.

-p level, --plotting-level level
    Specifies the charts and graphs to generate. Valid levels are: all, all_charts, all_graphs, dax_graph, dag_graph, gantt_chart, host_chart, time_chart, breakdown_chart. Default is all_charts. The output generated by pegasus-plots is based on the level set:

        • all: generates all charts and graphs.

        • all_charts: generates all charts.

        • all_graphs: generates all graphs.

        • dax_graph: generates dax graph.

        • dag_graph: generates dag graph.

        • gantt_chart: generates the workflow execution Gantt chart.

        • host_chart: generates the host over time chart.

        • time_chart: generates the time chart which shows the job instance/invocation count and runtime over time.

        • breakdown_chart: generates the breakdown chart which shows the invocation count and runtime grouped by transformation name.

-i, --ignore-db-inconsistency
    Turn off the the check for database consistency.

-v, --verbose
    Increases the log level. If omitted, the default level will be set to WARNING. When this option is given, the log level is changed to INFO. If this option is repeated, the log level will be changed to DEBUG.

-q, --quiet
    Decreases the log level. If omitted, the default level will be set to WARNING. When this option is given, the log level is changed to ERROR.

EXAMPLE

Runs pegasus-plots and writes the output to the given directory:

    pegasus-plots  -o /scratch/plot /scratch/grid-setup/run0001

AUTHORS

Prasanth Thomas

Pegasus Team http://pegasus.isi.edu